PrincipalBundle\Entity\Post:
    type: entity
    table: post
    indexes:
        usuariopkpostfk:
            columns:
                - id_usuario
    id:
        idPost:
            type: integer
            nullable: false
            options:
                unsigned: false
            id: true
            column: id_post
            generator:
                strategy: IDENTITY
    fields:
        nombre:
            type: string
            nullable: false
            length: 50
            options:
                fixed: false
        descripcion:
            type: string
            nullable: false
            length: 255
            options:
                fixed: false
        imagen:
            type: string
            nullable: false
            length: 50
            options:
                fixed: false
        fechaPost:
            type: datetime
            nullable: false
            column: fecha_post
    manyToOne:
        idUsuario:
            targetEntity: Usuario
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            joinColumns:
                id_usuario:
                    referencedColumnName: id_usuario
            orphanRemoval: false
    lifecycleCallbacks: {  }
